Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.commons.business.v1
Class InformationCBSSBatchType

    java.lang.Object
      be.fgov.ehealth.rn.commons.business.v1.InformationCBSSBatchType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class InformationCBSSBatchType

extends Object
implements Serializable

Deprecated type. Use SenderReceiverType in new batch XSDs

Java class for InformationCBSSBatchType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InformationCBSSBatchType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FileId" type="{http://www.w3.org/2001/XMLSchema}unsignedLong"/>
             <element name="FileCreationTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InformationCBSSBatchType()`

Method Summary
`org.joda.time.DateTime` | `getFileCreationTimestamp()` Gets the value of the fileCreationTimestamp property.
`BigInteger` | `getFileId()` Gets the value of the fileId property.
`void` | `setFileCreationTimestamp(org.joda.time.DateTime value)` Sets the value of the fileCreationTimestamp property.
`void` | `setFileId(BigInteger value)` Sets the value of the fileId property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InformationCBSSBatchType

    public InformationCBSSBatchType()

Method Detail

### getFileId

    public BigInteger getFileId()

  Gets the value of the fileId property.

  Returns:
    possible object is `BigInteger`

### setFileId

    public void setFileId(BigInteger value)

  Sets the value of the fileId property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getFileCreationTimestamp

    public org.joda.time.DateTime getFileCreationTimestamp()

  Gets the value of the fileCreationTimestamp property.

  Returns:
    possible object is `String`

### setFileCreationTimestamp

    public void setFileCreationTimestamp(org.joda.time.DateTime value)

  Sets the value of the fileCreationTimestamp property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.